import java.awt.Container;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JTextField;

/**
 * Graphics - A graphics coursework in Java.
 *
 * I declare this work is mine in its entirety with the exception
 * of template code provided by Dr. Mark Jones of Swansea University.
 * 
 * @author Sean Handley (320097@swan.ac.uk)
 * @version 2006-02
 * 
 */
public class DimsDiag extends JDialog {
	
	private static final long serialVersionUID = 1L;
	
	public JTextField dima, dimb;
	public JButton ok, cancel;
	public String path;
	
	public DimsDiag(String title) {
		super();
		setTitle(title);
	}
	public String make() {
		path = "";
		
		Container contentPane = getContentPane();
		contentPane.setLayout(new GridLayout(1,4));
		
		dima = new JTextField();
		contentPane.add(dima);
		
		dimb = new JTextField();
		contentPane.add(dimb);
		
		ok = new JButton("OK");
		contentPane.add(ok);
		
		cancel = new JButton("Cancel");
		contentPane.add(cancel);
		
		GUIEventHandler handler = new GUIEventHandler(); 
		
		ok.addActionListener(handler);
		cancel.addActionListener(handler);
		
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
		
		return path;
	}
	public class GUIEventHandler implements ActionListener {

		public void actionPerformed(ActionEvent event) {
			if(event.getSource() == ok) {
				CreateFilter cf = new CreateFilter("Create");
				cf.setModal(true);
				path = cf.make(Integer.valueOf(dima.getText()).intValue(),Integer.valueOf(dimb.getText()).intValue());
				dispose();
			} else if(event.getSource() == cancel) {
				dispose();
			}
		}
		
	}
}
